<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg bookmarks</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-bookmarks">
<span id="hg-bookmarks-1"></span>
<h1 class="title">hg bookmarks</h1>
<h2 class="subtitle" id="create-a-new-bookmark-or-list-existing-bookmarks">create a new bookmark or list existing bookmarks</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
<li><a class="reference internal" href="#aliases" id="toc-entry-4">Aliases</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg bookmarks [OPTIONS]... [NAME]...
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>Bookmarks are labels on changesets to help track lines of development.
Bookmarks are unversioned and can be moved, renamed and deleted.
Deleting or moving a bookmark has no effect on the associated changesets.</p>
<p>Creating or updating to a bookmark causes it to be marked as 'active'.
The active bookmark is indicated with a '*'.
When a commit is made, the active bookmark will advance to the new commit.
A plain <a class="reference external" href="hg-update.html"><tt class="docutils literal">hg update</tt></a> will also advance an active bookmark, if possible.
Updating away from a bookmark will cause it to be deactivated.</p>
<p>Bookmarks can be pushed and pulled between repositories (see
<a class="reference external" href="hg-push.html"><tt class="docutils literal">hg help push</tt></a> and <a class="reference external" href="hg-pull.html"><tt class="docutils literal">hg help pull</tt></a>). If a shared bookmark has
diverged, a new 'divergent bookmark' of the form <a class="reference external" href="mailto:'name&#64;path">'name&#64;path</a>' will
be created. Using <a class="reference external" href="hg-merge.html"><tt class="docutils literal">hg merge</tt></a> will resolve the divergence.</p>
<p>Specifying bookmark as '.' to -m/-d/-l options is equivalent to specifying
the active bookmark's name.</p>
<p>A bookmark named '&#64;' has the special property that <a class="reference external" href="hg-clone.html"><tt class="docutils literal">hg clone</tt></a> will
check it out by default if it exists.</p>
<div class="verbose docutils container">
<p>Template:</p>
<p>The following keywords are supported in addition to the common template
keywords and functions such as <tt class="docutils literal">{bookmark}</tt>. See also
<a class="reference external" href="hg.1.html#templates"><tt class="docutils literal">hg help templates</tt></a>.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">active:</th><td class="field-body">Boolean. True if the bookmark is active.</td>
</tr>
</tbody>
</table>
<p>Examples:</p>
<ul>
<li><p class="first">create an active bookmark for a new line of development:</p>
<pre class="literal-block">
hg book new-feature
</pre>
</li>
<li><p class="first">create an inactive bookmark as a place marker:</p>
<pre class="literal-block">
hg book -i reviewed
</pre>
</li>
<li><p class="first">create an inactive bookmark on another changeset:</p>
<pre class="literal-block">
hg book -r .^ tested
</pre>
</li>
<li><p class="first">rename bookmark turkey to dinner:</p>
<pre class="literal-block">
hg book -m turkey dinner
</pre>
</li>
<li><p class="first">move the '&#64;' bookmark from another branch:</p>
<pre class="literal-block">
hg book -f &#64;
</pre>
</li>
<li><p class="first">print only the active bookmark name:</p>
<pre class="literal-block">
hg book -ql .
</pre>
</li>
</ul>
</div>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">-f</span>, <span class="option">--force</span></kbd></td>
<td>force</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-r</span>, <span class="option">--rev <var>&lt;REV&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>revision for bookmark action</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-d</span>, <span class="option">--delete</span></kbd></td>
<td>delete a given bookmark</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-m</span>, <span class="option">--rename <var>&lt;OLD&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>rename a given bookmark</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-i</span>, <span class="option">--inactive</span></kbd></td>
<td>mark a bookmark inactive</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-l</span>, <span class="option">--list</span></kbd></td>
<td>list existing bookmarks</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-T</span>, <span class="option">--template <var>&lt;TEMPLATE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>display with template</td></tr>
</tbody>
</table>
</div>
<div class="section" id="aliases">
<h1><a class="toc-backref" href="#contents">Aliases</a></h1>
<pre class="literal-block">
bookmark
</pre>
</div>
</div>
</body>
</html>
